<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.320
Name: Results colonoscopy
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000">
   <title>Results colonoscopy</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]
Item: (Resultscolonoscopy)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]
Item: (Resultscolonoscopy)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]"
         id="tmp-r-76c6ff77-c68a-4826-9771-04bfd9d36b50">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@classCode)='ACT'">(Resultscolonoscopy): de waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Resultscolonoscopy): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320'])&gt;=1 ">(Resultscolonoscopy): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320'])&lt;=1">(Resultscolonoscopy): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:code[(@code='444783004' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='444783004' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Resultscolonoscopy): element hl7:code[(@code='444783004' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:code[(@code='444783004' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Resultscolonoscopy): element hl7:code[(@code='444783004' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Resultscolonoscopy): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]])&gt;=1 ">(Resultscolonoscopy): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]])&lt;=1">(Resultscolonoscopy): element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322']]])&gt;=1 ">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322']]])&lt;=1">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]])&gt;=1 ">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]])&lt;=1">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']]])&gt;=1 ">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']]])&lt;=1">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']]])&gt;=1 ">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']]])&lt;=1">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.329']]])&gt;=1 ">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.329']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.329']]])&lt;=1">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.329']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.330']]])&lt;=1">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.330']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.323']]])&lt;=1">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.323']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.331']]])&gt;=1 ">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.331']]] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.331']]])&lt;=1">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.331']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.328']]])&lt;=1">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.328']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]])&lt;=1">(Resultscolonoscopy): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']
Item: (Resultscolonoscopy)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']"
         id="tmp-r-44e335f9-2e14-444b-a14e-82791d1b7bd2">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resultscolonoscopy): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.320'">(Resultscolonoscopy): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.320' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:code[(@code='444783004' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Resultscolonoscopy)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:code[(@code='444783004' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-42fa6286-acbc-4096-91f7-8d9530d558bb">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resultscolonoscopy): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="@nullFlavor or (@code='444783004' and @codeSystem='2.16.840.1.113883.6.96')">(Resultscolonoscopy): de elementwaarde MOET zijn code '444783004' codeSystem '2.16.840.1.113883.6.96'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:text
Item: (Resultscolonoscopy)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:text"
         id="tmp-r-68de13ae-384c-4658-90c8-a7723abfd5f2">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resultscolonoscopy): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Resultscolonoscopy): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Resultscolonoscopy): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:text/hl7:reference
Item: (Resultscolonoscopy)
-->

   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:text/hl7:reference"
         id="tmp-r-645f7e6d-7bdc-4166-80f5-539e5b80efb7">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Resultscolonoscopy): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']]]"
         id="tmp-r-4bdec158-ade4-4a39-bee5-ad46690fd64a">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='COMP'">(Resultscolonoscopy): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.322']]]"
         id="tmp-r-7843e129-a00f-46b4-95d7-471c4342bbf2">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='COMP'">(Resultscolonoscopy): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]]"
         id="tmp-r-7b3c1d7e-3093-4384-a378-b60edecbc8b5">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='COMP'">(Resultscolonoscopy): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.325']]]"
         id="tmp-r-b348c4db-9b48-44bf-9bb0-604b1380a985">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='COMP'">(Resultscolonoscopy): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.326']]]"
         id="tmp-r-61287f63-b2b6-4ec0-861a-4dd4517649d6">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='COMP'">(Resultscolonoscopy): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.329']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.329']]]"
         id="tmp-r-2fc3b4c8-5f49-4cd4-a09c-b83b1d93710e">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='COMP'">(Resultscolonoscopy): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.330']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.330']]]"
         id="tmp-r-759b0df5-0f8d-44ac-852e-cb60505ffaac">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='COMP'">(Resultscolonoscopy): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.323']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.323']]]"
         id="tmp-r-7be3e57c-fb4c-4211-99e4-144d0fdebfc6">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='COMP'">(Resultscolonoscopy): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.331']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.331']]]"
         id="tmp-r-56d15a83-4453-4797-a250-c6011654a7ab">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='COMP'">(Resultscolonoscopy): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.328']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.328']]]"
         id="tmp-r-c9e4ab92-e94d-4691-a1f4-ecabaa0799df">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='COMP'">(Resultscolonoscopy): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.334']]]"
         id="tmp-r-2a50e00a-6aca-4507-8147-22b9d0a53c93">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='SUBJ'">(Resultscolonoscopy): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@inversionInd)='true'">(Resultscolonoscopy): de waarde van @inversionInd MOET 'true' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.320
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]]
Item: (Resultscolonoscopy)
-->
   <rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.320']]/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.335']]]"
         id="tmp-r-682a53e7-29ba-424d-849a-9e783f306883">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@typeCode)='SUBJ'">(Resultscolonoscopy): de waarde van @typeCode MOET 'SUBJ' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.320-2012-04-10T000000.html"
              test="string(@inversionInd)='true'">(Resultscolonoscopy): de waarde van @inversionInd MOET 'true' zijn.</assert>
   </rule>
</pattern>
