<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.324
Name: Coecum photo
Description: Template: Coecum vastgelegd (2 photo's)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000">
   <title>Coecum photo</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.324
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]
Item: (Coecumphoto)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.324
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]
Item: (Coecumphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]"
         id="tmp-r-0d67d9a8-f276-4ab1-a9a1-3a4ca2c2eb01">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="string(@classCode)='OBS'">(Coecumphoto): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="string(@moodCode)='EVN'">(Coecumphoto): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324'])&gt;=1 ">(Coecumphoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324'])&lt;=1">(Coecumphoto): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="count(hl7:code[(@code='C140030' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')])&gt;=1 and not(hl7:code[(@code='C140030' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]/@nullFlavor)">(Coecumphoto): element hl7:code[(@code='C140030' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="count(hl7:code[(@code='C140030' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')])&lt;=1">(Coecumphoto): element hl7:code[(@code='C140030' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="count(hl7:text)&lt;=1">(Coecumphoto): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Coecumphoto): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="count(hl7:value)&lt;=1">(Coecumphoto): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.324
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']
Item: (Coecumphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']"
         id="tmp-r-368bc5c9-03e7-408b-8b12-fb21e083137b">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Coecumphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.324'">(Coecumphoto): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.324' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.324
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:code[(@code='C140030' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]
Item: (Coecumphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:code[(@code='C140030' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]"
         id="tmp-r-68f8bb36-6963-4093-b01d-20207cace611">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Coecumphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="@nullFlavor or (@code='C140030' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Coecumphoto): de elementwaarde MOET zijn code 'C140030' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.324
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:text
Item: (Coecumphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:text"
         id="tmp-r-a67bf199-f933-456a-a8d9-04a9c214696a">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Coecumphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Coecumphoto): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="count(hl7:reference)&lt;=1">(Coecumphoto): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.324
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:text/hl7:reference
Item: (Coecumphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:text/hl7:reference"
         id="tmp-r-823c3d73-9eb1-48e4-8eb3-4f611505ba37">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Coecumphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TEL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.324
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:value
Item: (Coecumphoto)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.324']]/hl7:value"
         id="tmp-r-baddcee2-c18a-42bc-af94-61675bb5d795">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Coecumphoto): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
