<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.423
Name: Type tumor (darmkanker)
Description: Template: Type tumor (darmkanker)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000">
   <title>Type tumor (darmkanker)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]
Item: (Typetumordarmkanker)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]
Item: (Typetumordarmkanker)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]"
         id="tmp-r-558a65aa-ed96-4480-b171-9aa70e4a6b9f">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="string(@classCode)='OBS'">(Typetumordarmkanker): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Typetumordarmkanker): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'])&gt;=1 ">(Typetumordarmkanker): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'])&lt;=1">(Typetumordarmkanker): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')])&gt;=1 and not(hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]/@nullFlavor)">(Typetumordarmkanker): element hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')])&lt;=1">(Typetumordarmkanker): element hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Typetumordarmkanker): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Typetumordarmkanker): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(Typetumordarmkanker): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(Typetumordarmkanker): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']
Item: (Typetumordarmkanker)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']"
         id="tmp-r-df95317c-c355-47c1-a030-6e0617ac7617">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.423'">(Typetumordarmkanker): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.423' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]
Item: (Typetumordarmkanker)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:code[(@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1')]"
         id="tmp-r-7869f445-28f9-42a8-8304-abafdbc6e684">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="@nullFlavor or (@code='160' and @codeSystem='1.3.6.1.4.1.19376.1.8.2.1' and @displayName='Histologic type' and @codeSystemName='PathLex')">(Typetumordarmkanker): de elementwaarde MOET zijn code '160' codeSystem '1.3.6.1.4.1.19376.1.8.2.1' displayName='Histologic type' codeSystemName='PathLex'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:text
Item: (Typetumordarmkanker)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:text"
         id="tmp-r-1b88ff22-9bdc-4e44-8a57-7bc44ed67a1a">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ED" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Typetumordarmkanker): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Typetumordarmkanker): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:text/hl7:reference
Item: (Typetumordarmkanker)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.423
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (Typetumordarmkanker)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.423']]/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or concat(@code,@codeSystem)=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-35a2c7bd-8ee1-4cc6-8f21-2f6197af9282">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Typetumordarmkanker): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]) or exists(doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(Typetumordarmkanker): de elementwaarde MOET zijn vs_typelaesie Type laesie (DYNAMISCH) of ColonInfiltMalignNeoplasmHistologicType Colon-Infiltrating malignant neoplasm-Histologic type (APSR) (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.36.77.11.2-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008']) or exists(doc('include/voc-1.3.6.1.4.1.19376.1.8.5.49-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140425T120709/tmp-2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(Typetumordarmkanker): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst vs_typelaesie Type laesie (DYNAMISCH) of ColonInfiltMalignNeoplasmHistologicType Colon-Infiltrating malignant neoplasm-Histologic type (APSR) (DYNAMISCH).</assert>
   </rule>
</pattern>
